<!--
 * @Author: zqm
 * @Date: 2022-03-24 09:26:58
 * @LastEditTime: 2022-03-24 10:24:33
 * @LastEditors: Please set LastEditors
 * @Description: 删除弹窗
 * @FilePath: \tableDisplayBusiness\src\components\removePopup.vue
-->
<template>
  <div>
    <el-button ref="removePopupButton" type="primary" size="small" plain @click="removePopupFun">删除弹窗</el-button>
  </div>
</template>

<script>
export default {
  name: "removePopupButton",
  methods: {
    removePopupFun() {
      this.$parent.$parent.$emit('changeSelected', "removePopupButton");
      var _self = this;
      var removeUrl = interfacePrefix + config.modalRemove;
      var params = {
        // frameId: obj.index,
        zsDjxh: this.$store.state.data.openData.zsDjxh,
      }
      this.ajax.post(removeUrl, params, function (data) {
        if (data.returnCode == '00') {
          _self.$message({ message: '删除弹窗成功！', type: 'success' });
        }
      }, "json", true);
    }
  }

}
</script>

<style>
</style>
